<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::const_temp_matrix&lt; EXP &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1const__temp__matrix.html">const_temp_matrix</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1const__temp__matrix-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::const_temp_matrix&lt; EXP &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::const_temp_matrix&lt; EXP &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1const__temp__matrix.png" usemap="#dlib::const_5Ftemp_5Fmatrix_3C_20EXP_20_3E_map" alt=""/>
  <map id="dlib::const_5Ftemp_5Fmatrix_3C_20EXP_20_3E_map" name="dlib::const_5Ftemp_5Fmatrix_3C_20EXP_20_3E_map">
<area href="classdlib_1_1matrix__exp.html" alt="dlib::matrix_exp&lt; const_temp_matrix&lt; EXP &gt; &gt;" shape="rect" coords="0,0,274,24"/>
<area href="classdlib_1_1noncopyable.html" alt="dlib::noncopyable" shape="rect" coords="284,0,558,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a859e707b58e0c23cfadb1a3bda379586"><td class="memItemLeft" align="right" valign="top"><a id="a859e707b58e0c23cfadb1a3bda379586"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1const__temp__matrix.html">const_temp_matrix</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a859e707b58e0c23cfadb1a3bda379586"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade57bd404f93d58a74e73e5063b169ca"><td class="memItemLeft" align="right" valign="top"><a id="ade57bd404f93d58a74e73e5063b169ca"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1const__temp__matrix.html">const_temp_matrix</a> &gt;::const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:ade57bd404f93d58a74e73e5063b169ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af79ee3736651ff4187e71c6293462d8d"><td class="memItemLeft" align="right" valign="top"><a id="af79ee3736651ff4187e71c6293462d8d"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1const__temp__matrix.html">const_temp_matrix</a> &gt;::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:af79ee3736651ff4187e71c6293462d8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4d6fd4fe421eac134c8be6099bd74de"><td class="memItemLeft" align="right" valign="top"><a id="ae4d6fd4fe421eac134c8be6099bd74de"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1const__temp__matrix.html">const_temp_matrix</a> &gt;::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:ae4d6fd4fe421eac134c8be6099bd74de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classdlib_1_1matrix__exp"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classdlib_1_1matrix__exp')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classdlib_1_1matrix__exp.html">dlib::matrix_exp&lt; const_temp_matrix&lt; EXP &gt; &gt;</a></td></tr>
<tr class="memitem:a039e80e9a67ddd1abaa4a1004dab7254 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1const__temp__matrix.html">const_temp_matrix</a>&lt; EXP &gt; &gt;::<a class="el" href="classdlib_1_1matrix__exp.html#a039e80e9a67ddd1abaa4a1004dab7254">type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1matrix__exp.html#a039e80e9a67ddd1abaa4a1004dab7254">type</a></td></tr>
<tr class="separator:a039e80e9a67ddd1abaa4a1004dab7254 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c77b26cda27c68f6c09659c0fc2df39 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a8c77b26cda27c68f6c09659c0fc2df39"></a>
typedef <a class="el" href="classdlib_1_1matrix__exp.html#a039e80e9a67ddd1abaa4a1004dab7254">type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>value_type</b></td></tr>
<tr class="separator:a8c77b26cda27c68f6c09659c0fc2df39 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a457bfdba190a416a0303d2e74c8ebff8 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a457bfdba190a416a0303d2e74c8ebff8"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1const__temp__matrix.html">const_temp_matrix</a>&lt; EXP &gt; &gt;::const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:a457bfdba190a416a0303d2e74c8ebff8 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc9ebe54c29ad8263ef894308d275237 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="abc9ebe54c29ad8263ef894308d275237"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1const__temp__matrix.html">const_temp_matrix</a>&lt; EXP &gt; &gt;::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:abc9ebe54c29ad8263ef894308d275237 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bf2e883d0cca0c1fb5379793555a9e4 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a4bf2e883d0cca0c1fb5379793555a9e4"></a>
typedef <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt; <a class="el" href="classdlib_1_1const__temp__matrix.html">const_temp_matrix</a>&lt; EXP &gt; &gt;::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:a4bf2e883d0cca0c1fb5379793555a9e4 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed42d347a23cc0ae760ed9216ae0550a inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="aed42d347a23cc0ae760ed9216ae0550a"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; <a class="el" href="classdlib_1_1matrix__exp.html#a039e80e9a67ddd1abaa4a1004dab7254">type</a>, NR, NC, mem_manager_type, layout_type &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>matrix_type</b></td></tr>
<tr class="separator:aed42d347a23cc0ae760ed9216ae0550a inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d8fcde8026beec69e3870f1a8217431 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a0d8fcde8026beec69e3870f1a8217431"></a>
typedef <a class="el" href="classdlib_1_1const__temp__matrix.html">const_temp_matrix</a>&lt; EXP &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>exp_type</b></td></tr>
<tr class="separator:a0d8fcde8026beec69e3870f1a8217431 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabf7f7f0eaf760054d382e777ff3e0e3 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="aabf7f7f0eaf760054d382e777ff3e0e3"></a>
typedef <a class="el" href="classdlib_1_1matrix__exp__iterator.html">matrix_exp_iterator</a>&lt; <a class="el" href="classdlib_1_1const__temp__matrix.html">const_temp_matrix</a>&lt; EXP &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>iterator</b></td></tr>
<tr class="separator:aabf7f7f0eaf760054d382e777ff3e0e3 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12c8479c1ae6ec1cf8d357ab138b3579 inherit pub_types_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a12c8479c1ae6ec1cf8d357ab138b3579"></a>
typedef <a class="el" href="classdlib_1_1matrix__exp__iterator.html">matrix_exp_iterator</a>&lt; <a class="el" href="classdlib_1_1const__temp__matrix.html">const_temp_matrix</a>&lt; EXP &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>const_iterator</b></td></tr>
<tr class="separator:a12c8479c1ae6ec1cf8d357ab138b3579 inherit pub_types_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa7f3cc925a0da3530fbc42aa163552c9"><td class="memItemLeft" align="right" valign="top"><a id="aa7f3cc925a0da3530fbc42aa163552c9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>const_temp_matrix</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;item)</td></tr>
<tr class="separator:aa7f3cc925a0da3530fbc42aa163552c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36f01c22b4c89ff80c7d09da6ad4b46d"><td class="memItemLeft" align="right" valign="top"><a id="a36f01c22b4c89ff80c7d09da6ad4b46d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>const_temp_matrix</b> (const EXP &amp;item)</td></tr>
<tr class="separator:a36f01c22b4c89ff80c7d09da6ad4b46d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa23a1b996de9cf8f7173c72aedcaa5d2"><td class="memItemLeft" align="right" valign="top"><a id="aa23a1b996de9cf8f7173c72aedcaa5d2"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long r, long c) const</td></tr>
<tr class="separator:aa23a1b996de9cf8f7173c72aedcaa5d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31b8a76555779cd4a5d2f3627907aeec"><td class="memItemLeft" align="right" valign="top"><a id="a31b8a76555779cd4a5d2f3627907aeec"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long i) const</td></tr>
<tr class="separator:a31b8a76555779cd4a5d2f3627907aeec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a930820fec9eb447dd30b54e6f3f92842"><td class="memTemplParams" colspan="2"><a id="a930820fec9eb447dd30b54e6f3f92842"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:a930820fec9eb447dd30b54e6f3f92842"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a930820fec9eb447dd30b54e6f3f92842"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafb7563cad91153c00dc9886624b041a"><td class="memTemplParams" colspan="2"><a id="aafb7563cad91153c00dc9886624b041a"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:aafb7563cad91153c00dc9886624b041a"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>destructively_aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:aafb7563cad91153c00dc9886624b041a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb0edd3826f09c682b992c4e30fecae6"><td class="memItemLeft" align="right" valign="top"><a id="afb0edd3826f09c682b992c4e30fecae6"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:afb0edd3826f09c682b992c4e30fecae6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b41cc429f4df1b32013f762012180ee"><td class="memItemLeft" align="right" valign="top"><a id="a1b41cc429f4df1b32013f762012180ee"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:a1b41cc429f4df1b32013f762012180ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1matrix__exp"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1matrix__exp')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1matrix__exp.html">dlib::matrix_exp&lt; const_temp_matrix&lt; EXP &gt; &gt;</a></td></tr>
<tr class="memitem:ac17be94df8060cdff2dc5af732b8f677 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="ac17be94df8060cdff2dc5af732b8f677"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long r, long c) const</td></tr>
<tr class="separator:ac17be94df8060cdff2dc5af732b8f677 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62530f2d643478e68e4e9270fd44b346 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a62530f2d643478e68e4e9270fd44b346"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long i) const</td></tr>
<tr class="separator:a62530f2d643478e68e4e9270fd44b346 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5fc639a65f6a2493b80c4b42de0250d inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="ac5fc639a65f6a2493b80c4b42de0250d"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>size</b> () const</td></tr>
<tr class="separator:ac5fc639a65f6a2493b80c4b42de0250d inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f7348faf46c2c856850621506a88d4c inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a6f7348faf46c2c856850621506a88d4c"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:a6f7348faf46c2c856850621506a88d4c inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe8930b38c262a4da361314563ef8ac6 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="afe8930b38c262a4da361314563ef8ac6"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:afe8930b38c262a4da361314563ef8ac6 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30fe5f93e1e2998a6164a4999ddd12a3 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a30fe5f93e1e2998a6164a4999ddd12a3"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a30fe5f93e1e2998a6164a4999ddd12a3 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9002b9c186190c3a29c7ab0485818693 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a9002b9c186190c3a29c7ab0485818693"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>destructively_aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a9002b9c186190c3a29c7ab0485818693 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b64be9705716c08130e8f41aed902d5 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a5b64be9705716c08130e8f41aed902d5"></a>
const <a class="el" href="classdlib_1_1const__temp__matrix.html">exp_type</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>ref</b> () const</td></tr>
<tr class="separator:a5b64be9705716c08130e8f41aed902d5 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a849b5eeb2dbbf1be9def6b6001aedaab inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a849b5eeb2dbbf1be9def6b6001aedaab"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>operator const type</b> () const</td></tr>
<tr class="separator:a849b5eeb2dbbf1be9def6b6001aedaab inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f450fc4769675f043e1ee96b559b8f2 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a9f450fc4769675f043e1ee96b559b8f2"></a>
<a class="el" href="classdlib_1_1matrix__exp__iterator.html">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>begin</b> () const</td></tr>
<tr class="separator:a9f450fc4769675f043e1ee96b559b8f2 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54a5e4478efe3095c3ba8c797663ef98 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a54a5e4478efe3095c3ba8c797663ef98"></a>
<a class="el" href="classdlib_1_1matrix__exp__iterator.html">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>end</b> () const</td></tr>
<tr class="separator:a54a5e4478efe3095c3ba8c797663ef98 inherit pub_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:abcc1dd636450edd1e94245fd67b10474"><td class="memItemLeft" align="right" valign="top"><a id="abcc1dd636450edd1e94245fd67b10474"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt;<a class="el" href="classdlib_1_1const__temp__matrix.html">const_temp_matrix</a>&gt;::NR</td></tr>
<tr class="separator:abcc1dd636450edd1e94245fd67b10474"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf6d1c83bcb7b6a7b5cc276df8ab934b"><td class="memItemLeft" align="right" valign="top"><a id="acf6d1c83bcb7b6a7b5cc276df8ab934b"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt;<a class="el" href="classdlib_1_1const__temp__matrix.html">const_temp_matrix</a>&gt;::NC</td></tr>
<tr class="separator:acf6d1c83bcb7b6a7b5cc276df8ab934b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac007d378aae39f55e4252614f80e1ad"><td class="memItemLeft" align="right" valign="top"><a id="aac007d378aae39f55e4252614f80e1ad"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = <a class="el" href="structdlib_1_1matrix__traits.html">matrix_traits</a>&lt;<a class="el" href="classdlib_1_1const__temp__matrix.html">const_temp_matrix</a>&gt;::cost</td></tr>
<tr class="separator:aac007d378aae39f55e4252614f80e1ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_attribs_classdlib_1_1matrix__exp"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_classdlib_1_1matrix__exp')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="classdlib_1_1matrix__exp.html">dlib::matrix_exp&lt; const_temp_matrix&lt; EXP &gt; &gt;</a></td></tr>
<tr class="memitem:a3cc23b5e782b277de7670a43b3f4942e inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a3cc23b5e782b277de7670a43b3f4942e"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b></td></tr>
<tr class="separator:a3cc23b5e782b277de7670a43b3f4942e inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e1007caf961b85c04bd7cc559c86942 inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a1e1007caf961b85c04bd7cc559c86942"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b></td></tr>
<tr class="separator:a1e1007caf961b85c04bd7cc559c86942 inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8abb655ce64519ef5cf8a0645eed3cf5 inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a8abb655ce64519ef5cf8a0645eed3cf5"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b></td></tr>
<tr class="separator:a8abb655ce64519ef5cf8a0645eed3cf5 inherit pub_static_attribs_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aab6b4a35c6180ff3ba5f783bc600650d"><td class="memItemLeft" align="right" valign="top"><a id="aab6b4a35c6180ff3ba5f783bc600650d"></a>
<a class="el" href="structdlib_1_1conditional__matrix__temp.html">conditional_matrix_temp</a>&lt; const EXP,(EXP::cost&lt;=1)&gt;::type&#160;</td><td class="memItemRight" valign="bottom"><b>ref_</b></td></tr>
<tr class="separator:aab6b4a35c6180ff3ba5f783bc600650d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classdlib_1_1matrix__exp"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classdlib_1_1matrix__exp')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classdlib_1_1matrix__exp.html">dlib::matrix_exp&lt; const_temp_matrix&lt; EXP &gt; &gt;</a></td></tr>
<tr class="memitem:a1ed9bc70f065bd8ed7d8d33f48b9f18c inherit pro_methods_classdlib_1_1matrix__exp"><td class="memItemLeft" align="right" valign="top"><a id="a1ed9bc70f065bd8ed7d8d33f48b9f18c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>matrix_exp</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a> &amp;)</td></tr>
<tr class="separator:a1ed9bc70f065bd8ed7d8d33f48b9f18c inherit pro_methods_classdlib_1_1matrix__exp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1noncopyable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1noncopyable')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="classdlib_1_1noncopyable.html">dlib::noncopyable</a></td></tr>
<tr class="memitem:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1noncopyable.html#ac52d1076f79ef032f5ced545bd4cc4f9">noncopyable</a> ()</td></tr>
<tr class="separator:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="matrix_2matrix_8h_source.html">matrix/matrix.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
